## pykde4 4.13.0

=== CMakeLists.txt ===
project(pykde4)

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# search packages used by KDE
find_package(KDE4 4.9.4 REQUIRED)

# Match what's used in the main macros
cmake_policy(SET CMP0002 OLD)
find_package(PythonLibrary)



include(KDE4Defaults)
include(MacroLibrary)
include(PythonMacros)
include(FeatureSummary)

option(PYKDEUIC4_ALTINSTALL "Enable parallel-installation of the PyKDE4 tools" FALSE)

set(CMAKE_MODULE_PATH ${pykde4_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(PythonLibrary)

set_package_properties(KDE4 PROPERTIES DESCRIPTION "The KDE libraries"
                       URL "http://www.kde.org" TYPE REQUIRED
                       PURPOSE "Required to build PyKDE4")
set_package_properties(PythonLibrary PROPERTIES DESCRIPTION
                       "The Python Library" URL "http://www.python.org"
                       TYPE REQUIRED PURPOSE "Required to build PyKDE4")
set_package_properties(PythonInterp PROPERTIES
                       DESCRIPTION "The Python interpreter"
                       URL "http://www.python.org" TYPE REQUIRED
                       PURPOSE "Required to build PyKDE4")

include_directories(${KDE4_INCLUDES})

find_package(SIP)
set_package_properties(SIP PROPERTIES DESCRIPTION "The SIP binding generator"
                       URL "http://riverbankcomputing.com" TYPE REQUIRED
                       PURPOSE "Required to build PyKDE4")

include(SIPMacros)

if(SIP_VERSION STRLESS "040e00")    # These version numbers also appear in ../CMakeLists.txt
    message(FATAL_ERROR "The version of SIP found is too old. 4.14 or later is needed.")
endif()

find_package(PyQt4)
set_package_properties(PyQt4 PROPERTIES DESCRIPTION "The PyQt bindings"
                       URL "http://riverbankcomputing.com" TYPE REQUIRED
                       PURPOSE "Required to build PyKDE4")

if(PYQT4_VERSION STRLESS "040905")  # These version numbers also appear in ../CMakeLists.txt
    message(FATAL_ERROR "The version of PyQt found is too old. 4.9 or later is required.")
endif()

macro_optional_find_package(Soprano)
set_package_properties(Soprano PROPERTIES DESCRIPTION "The Soprano libraries"
                       URL "http://projects.kde.org/kdesupport/soprano"
                       TYPE OPTIONAL PURPOSE
                       "Required for Soprano Python bindings")

macro_optional_find_package(Nepomuk)
set_package_properties(Nepomuk PROPERTIES DESCRIPTION "The Nepomuk libraries"
                       URL "http://projects.kde.org/kde/kdelibs/" TYPE OPTIONAL
                       PURPOSE "Required for Nepomuk Python bindings")

macro_optional_find_package(KdepimLibs)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDE PIM libraries"
                       URL "http://projects.kde.org/kde/kdepimlibs" TYPE OPTIONAL
                       PURPOSE "Required for the Akonadi Python bindings")

macro_optional_find_package(PolkitQt)
set_package_properties(PolkitQt PROPERTIES DESCRIPTION "Qt wrapper around Polkit"
                       TYPE OPTIONAL PURPOSE
                       "Required to build Python Polkit bindings")

include_directories(
    ${PYTHON_INCLUDE_PATH}
    ${SIP_INCLUDE_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDESIGNER_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}
    ${QT_QTOPENGL_INCLUDE_DIR}
    ${QT_QTSQL_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    ${QT_QTSVG_INCLUDE_DIR}
    ${QT_QTWEBKIT_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/solid
    ${KDE4_INCLUDE_DIR}/kio
    ${KDE4_INCLUDE_DIR}/dom
    ${KDE4_INCLUDE_DIR}/ksettings
    ${KDE4_INCLUDE_DIR}/knewstuff2
    ${KDE4_INCLUDE_DIR}/dnssd
    ${KDE4_PHONON_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

set(SIP_INCLUDES ${PYQT4_SIP_DIR} sip)
set(SIP_CONCAT_PARTS 8)
if (WIN32)
    set(SIP_TAGS ALL WS_WIN ${PYQT4_VERSION_TAG})
else ()
    set(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})
endif ()
set(SIP_DISABLE_FEATURES VendorID PyQt_NoPrintRangeBug)

# Use an extra option when compiling on Python 3.
if (PYTHON_VERSION_MAJOR GREATER 2)
    if(PYQT4_VERSION STRGREATER "040904")
	    # Disable for newer PyQt
	    set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector)
    else ()
	    set(SIP_EXTRA_OPTIONS -g)
    endif()
else (PYTHON_VERSION_MAJOR GREATER 2)
    if(PYQT4_VERSION STRGREATER "040904")
	# Disable for newer PyQt
    	set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3)
    else ()
	    set(SIP_EXTRA_OPTIONS -g -x Py_v3)
    endif()
endif ()

add_definitions(-D_REENTRANT -DQT_CORE_LIB -DQT_GUI_LIB -DUSING_SOPRANO_NRLMODEL_UNSTABLE_API -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public)

file(GLOB kdecore_files_sip sip/kdecore/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kdecore_files_sip})
add_sip_python_module(PyKDE4.kdecore sip/kdecore/kdecoremod.sip ${KDE4_KDECORE_LIBS} ${KDE4_KPTY_LIBS} ${QT_QTNETWORK_LIBRARY})

file(GLOB solid_files_sip sip/solid/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${solid_files_sip})
add_sip_python_module(PyKDE4.solid sip/solid/solidmod.sip ${KDE4_SOLID_LIBS} ${QT_QTCORE_LIBRARY})

file(GLOB kdeui_files_sip sip/kdeui/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kdeui_files_sip})
add_sip_python_module(PyKDE4.kdeui sip/kdeui/kdeuimod.sip ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})

file(GLOB kio_files_sip sip/kio/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kio_files_sip})
add_sip_python_module(PyKDE4.kio sip/kio/kiomod.sip ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS})

file(GLOB kutils_files_sip sip/kutils/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kutils_files_sip})
add_sip_python_module(PyKDE4.kutils sip/kutils/kutilsmod.sip ${KDE4_KUTILS_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KDEUI_LIBS})

file(GLOB kparts_files_sip sip/kparts/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kparts_files_sip})
add_sip_python_module(PyKDE4.kparts sip/kparts/kpartsmod.sip ${KDE4_KPARTS_LIBS})

file(GLOB ktexteditor_files_sip sip/ktexteditor/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${ktexteditor_files_sip})
add_sip_python_module(PyKDE4.ktexteditor sip/ktexteditor/ktexteditormod.sip ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

file(GLOB khtml_files_sip sip/khtml/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${khtml_files_sip})
add_sip_python_module(PyKDE4.khtml sip/khtml/khtmlmod.sip ${KDE4_KHTML_LIBS})

file(GLOB knewstuff_files_sip sip/knewstuff/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${knewstuff_files_sip})
add_sip_python_module(PyKDE4.knewstuff sip/knewstuff/knewstuffmod.sip ${KDE4_KNEWSTUFF2_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTCORE_LIBRARY})

file(GLOB dnssd_files_sip sip/dnssd/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${dnssd_files_sip})
add_sip_python_module(PyKDE4.dnssd sip/dnssd/dnssdmod.sip ${KDE4_KDNSSD_LIBS} ${QT_QTCORE_LIBRARY})

file(GLOB phonon_files_sip sip/phonon/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${phonon_files_sip})
add_sip_python_module(PyKDE4.phonon sip/phonon/phononmod.sip ${PHONON_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

file(GLOB plasma_files_sip sip/plasma/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${plasma_files_sip})
add_sip_python_module(PyKDE4.plasma sip/plasma/plasmamod.sip ${KDE4_PLASMA_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTUITOOLS_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY})

file(GLOB kterminal_files_sip sip/kterminal/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kterminal_files_sip})
add_sip_python_module(PyKDE4.kterminal sip/kterminal/kterminalmod.sip ${KDE4_TERMINAL_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

set(PYKDE_MODULES "kdecore solid kdeui kio kutils kparts ktexteditor dnssd phonon plasma kterminal")

if(Soprano_FOUND)
    include_directories(${SOPRANO_INCLUDE_DIR})
    file(GLOB soprano_files_sip sip/soprano/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${soprano_files_sip})
    add_sip_python_module(PyKDE4.soprano sip/soprano/sopranomod.sip ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} ${SOPRANO_SERVER_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})
    set(PYKDE_MODULES "${PYKDE_MODULES} soprano")
endif()

if(Nepomuk_FOUND)
    include_directories(${NEPOMUK_INCLUDE_DIR})
    file(GLOB nepomuk_files_sip sip/nepomuk/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${nepomuk_files_sip})
    add_sip_python_module(PyKDE4.nepomuk sip/nepomuk/nepomukmod.sip ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${SOPRANO_LIBRARIES} ${KDE4_KIO_LIBS})
    set(PYKDE_MODULES "${PYKDE_MODULES} nepomuk")
endif()

if(KdepimLibs_FOUND)
    find_package(Boost 1.34.0)
    set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries"
                           URL "http://www.boost.org" TYPE REQUIRED
                           PURPOSE "Boost is required by Akonadi")
    include_directories(${KDEPIMLIBS_INCLUDE_DIRS})
    file(GLOB akonadi_files_sip sip/akonadi/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${akonadi_files_sip})
    add_sip_python_module(PyKDE4.akonadi sip/akonadi/akonadimod.sip ${KDE4_AKONADI_LIBS} ${KDE4_AKONADI_KMIME_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
    set(PYKDE_MODULES "${PYKDE_MODULES} akonadi")
endif()

if(POLKITQT_FOUND)
    include_directories(${POLKITQT_INCLUDE_DIR})

    file(GLOB pollkitqt_files_sip sip/polkitqt/*.sip)

    # ${POLKITQT_INCLUDE_DIR} -- We don't use this directly, because we need the #includes
    # in the .sip file to be more specific otherwise they pick up the wrong action.h etc.

    set(SIP_EXTRA_FILES_DEPEND ${pollkitqt_files_sip})
    add_sip_python_module(PyKDE4.polkitqt sip/polkitqt/polkitqtmod.sip ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${POLKITQT_LIBRARIES})
    set(PYKDE_MODULES "${PYKDE_MODULES} polkitqt")
endif()

python_install(__init__.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)

# Setup and install pykdeconfig.py

# Turn these into formatted strings.
set(_SIP_TAGS)
foreach (_TAG ${SIP_TAGS})
    set(_SIP_TAGS "${_SIP_TAGS} -t ${_TAG}")
endforeach (_TAG)

set(_SIP_X)
foreach (_X ${SIP_DISABLE_FEATURES})
    set(_SIP_X "${_SIP_X} -X ${_X}")
endforeach (_X ${SIP_DISABLE_FEATURES})

get_filename_component(LIB_DIR ${KDE4_LIB_DIR} NAME)

set (SIP_FILES_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/sip)

set(SIP_CONFIGURATION "
kde_version_parts = '${KDE_VERSION}'.split('.')
kde_version_hex = int(kde_version_parts[0])*65536 + int(kde_version_parts[1])*256 + int(kde_version_parts[2])
_pkg_config = {
    'dist_name':            '',
    'kde_version':          kde_version_hex,
    'kde_version_extra':    '',
    'kde_version_sfx':      '',
    'kde_version_str':      '${KDE_VERSION}',
    'kdebasedir':           '${CMAKE_INSTALL_PREFIX}',
    'kdeincdir':            '${KDE4_INCLUDE_DIR}',
    'kdelibdir':            '${KDE4_LIB_DIR}',
    'konsolepart':          'False',
    'libdir':               '${LIB_DIR}',
    'pykde_kde_sip_flags':  '${_SIP_TAGS} ${_SIP_X} ${SIP_EXTRA_OPTIONS}',
    'pykde_mod_dir':        '${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4',
    'pykde_modules':        '${PYKDE_MODULES}',
    'pykde_sip_dir':        '${SIP_FILES_INSTALL_DIR}/PyKDE4',
    'pykde_version':        kde_version_hex,
    'pykde_version_str':    '${KDE_VERSION}'
}

_default_macros = None")

configure_file(pykdeconfig.py.in ${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py)
python_install(${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)

# Install the .sip files for anyone that wants to build bindings on top of PyKDE4.
# (Don't forget the / at the end of sip/.)
install(DIRECTORY sip/ DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4
    PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
    PATTERN ".svn" EXCLUDE
    PATTERN "*.in" EXCLUDE)

add_subdirectory(tools)
#add_subdirectory(docs)
add_subdirectory(examples)
if (PYTHON_VERSION_MAJOR LESS 3)
    add_subdirectory(kpythonpluginfactory)
endif ()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
pykde4 (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:33:07 +0100

pykde4 (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:59:56 +0200

pykde4 (4:4.12.95-0ubuntu2) trusty; urgency=medium

  * Don't hard-code python versions in .install files.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 19:59:48 +0100

pykde4 (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Dmitry Shachnev ]
  * Add watch file (set up to track unstable releases).

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Mar 2014 20:47:35 +0100

pykde4 (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * Install /usr/bin/pykdeuic4-3.4
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:09:24 +0000

pykde4 (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:20:52 +0100

pykde4 (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:35:25 +0000

pykde4 (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:11 +0000

pykde4 (4:4.12.0-0ubuntu2) trusty; urgency=medium

  * debian/rules: Fix support for multiple Python 3 versions.

 -- William Grant <wgrant@ubuntu.com>  Mon, 30 Dec 2013 13:38:41 +1100

pykde4 (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:52:06 +0000

pykde4 (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:50:30 +0000

pykde4 (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:44:35 +0100

pykde4 (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Update boost to 1.54 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:06:47 +0100

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: 
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0), kdepimlibs5-dev (>= 4:4.13.0),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost1.54-dev, shared-desktop-ontologies (>= 0.8),
 python-all-dev (>= 2.6.6-3~), python3-all-dev,
 python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
 python-qt4 (>= 4.10.3-1ubuntu1), python3-pyqt4, python-qt4-dev (>= 4.9)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Suggests: ${shlibs:Suggests}
Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

Package: python3-pykde4
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-pyqt4, ${sip3:Depends}, python3-sip
Description: Python 3 bindings for the KDE Development Platform
 This package contains PyKDE, the Python 3 bindings for the KDE
 libraries, that allow you to write KDE programs using Python 3 instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python 3 versions.

Package: python3-pykde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
Recommends: python3-pyqt4-dbg
Description: debugging symbols for PyKDE bindings for Python 3
 This package contains debugging files used to investigate problems with
 Python 3 bindings for the KDE Development Platform. Install this package if
 you are experiencing crashes of the PyKDE application and wish to report a
 problem to the developers.

## pykde4 4.13.1

=== debian/changelog ===
pykde4 (4:4.13.1-1tanglu1) staging; urgency=medium

  * Cherry pick 1e9817f99b405a66199fe9f62de31d3870e3ad12 as
    upstream_Fix-building-with-PyQt-4.11.diff to fix the build with
    pyqt4.11 and sip 1.16

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Jun 2014 20:36:43 +0200

pykde4 (4:4.13.1-1b1) staging; urgency=low

  * No-change rebuild against Python 3.4.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 18 Jun 2014 17:04:10 +0200

pykde4 (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:22:34 +0200

pykde4 (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:11 +0200

pykde4 (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:20 +0100

pykde4 (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:59:32 +0100

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/pykde4-([\d\.]*).tar.xz

## pykde4 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,15 +113,27 @@
 # Use an extra option when compiling on Python 3.
 if (PYTHON_VERSION_MAJOR GREATER 2)
     if(PYQT4_VERSION STRGREATER "040904")
-	    # Disable for newer PyQt
-	    set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector)
+	    # Disable for features in newer Qt
+        if (PYQT4_VERSION STRGREATER "040a04")
+            # GLuint + QVector (PyQt > 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x PyKDE_GLuint)
+        else ()
+            # QVector (PyQt < 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector)
+        endif ()
     else ()
 	    set(SIP_EXTRA_OPTIONS -g)
     endif()
 else (PYTHON_VERSION_MAJOR GREATER 2)
     if(PYQT4_VERSION STRGREATER "040904")
 	# Disable for newer PyQt
-    	set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3)
+        if (PYQT4_VERSION STRGREATER "040a04")
+            # GLuint + QVector (PyQt > 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint)
+        else ()
+            # QVector (PyQt < 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3)
+        endif ()
     else ()
 	    set(SIP_EXTRA_OPTIONS -g -x Py_v3)
     endif()
@@ -270,18 +282,3 @@
 configure_file(pykdeconfig.py.in ${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py)
 python_install(${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)
 
-# Install the .sip files for anyone that wants to build bindings on top of PyKDE4.
-# (Don't forget the / at the end of sip/.)
-install(DIRECTORY sip/ DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4
-    PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
-    PATTERN ".svn" EXCLUDE
-    PATTERN "*.in" EXCLUDE)
-
-add_subdirectory(tools)
-#add_subdirectory(docs)
-add_subdirectory(examples)
-if (PYTHON_VERSION_MAJOR LESS 3)
-    add_subdirectory(kpythonpluginfactory)
-endif ()
-
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
pykde4 (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:38:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), kdepimlibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3), kdepimlibs5-dev (>= 4:4.13.3),
  libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
  libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
  libboost1.54-dev, shared-desktop-ontologies (>= 0.8),

=== debian/rules ===
#! /usr/bin/make -f

dh = --with=python2,python3

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pyversions = $(shell pyversions -vr)
pydefaultversion = $(shell pyversions -vd)
pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
py3versions = $(shell py3versions -vr)
PYTHONDONTWRITEBYTECODE = True
export PYTHONDONTWRITEBYTECODE

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

define nl


endef

override_dh_auto_configure:
	$(if $(pyversions),,$(error "no suitable pythonversion found, failing"))
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_PATH=/usr/include/python$v \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v \
	    -DDEFAULT_PYTHON_VERSION=$(if $(filter $(pydefaultversion),$v),true,false) \
	    $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_PATH=/usr/include/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_LIBRARY=/usr/lib/$(if $(filter 3.2,$(v)),libpython3.2mu.so,$(DEB_HOST_MULTIARCH)/libpython$(v)m.so) \
	    -DPYTHON_SITE_PACKAGES_INSTALL_DIR=/usr/lib/python3/dist-packages \
	    -DDEFAULT_PYTHON_VERSION=false \
	    $(nl))

override_dh_auto_build override_dh_auto_test override_dh_auto_clean:
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v $(nl))
	
override_dh_auto_install:
	$(foreach v,$(pyversions),dh_auto_install --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),dh_auto_install --builddirectory=builddir-$v --destdir=debian/tmp-$v $(nl) ABITAG=`python$(v) -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; for f in `find debian/tmp-$v/ -name '*.so' ! -name '*.cpython*.so'`; do mv $$f $${f%.so}.$$ABITAG.so; done;)
	$(foreach v,$(py3versions), cp -rv debian/tmp-$v/* debian/tmp/ $(nl))

override_dh_python3:
	$(overridden_command)
	dh_sip3 -ppython3-pykde4

override_dh_python2:
	$(overridden_command)
	dh_sip -ppython-kde4

override_dh_strip:
	$(overridden_command) -ppython-kde4 --dbg-package=python-kde4-dbg
	$(overridden_command) -ppython3-pykde4 --dbg-package=python3-pykde4-dbg

override_dh_shlibdeps:
	if [ -d debian/python-kde4 ]; then \
        dh_shlibdeps -ppython-kde4 $(foreach s,$(pyshared_nondefault),-X'$s/') -- \
        	-dSuggests $(foreach s,$(pyshared_nondefault),debian/python-kde4/$s/*.so) -dDepends; \
	fi
	$(overridden_command) --remaining-packages

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/([\d\.]*)/src/pykde4-([\d\.]*).tar.xz

## pykde4 4.14.0

=== debian/changelog ===
pykde4 (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 04:54:50 +0200

pykde4 (4:4.13.3-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch from Fedora (no_gl_defines.diff) to fix building against
    python-qt4 4.11.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream applied patch: no_gl_defines.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 16:30:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,49 @@
 Source: pykde4
 Section: python
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: 
- debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3), kdepimlibs5-dev (>= 4:4.13.3),
- libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
- libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.54-dev, shared-desktop-ontologies (>= 0.8),
- python-all-dev (>= 2.6.6-3~), python3-all-dev,
- python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
- python-qt4 (>= 4.10.3-1ubuntu1), python3-pyqt4, python-qt4-dev (>= 4.9)
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Build-Depends: debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.13),
+               libboost-dev (>= 1.34.0),
+               libphonon-dev (>= 4:4.6.0really4.4.4),
+               libqt4-dev (>= 4:4.7.1),
+               libqt4-opengl-dev (>= 4:4.7.1),
+               libqtwebkit-dev,
+               libsoprano-dev (>= 2.7.0),
+               nepomuk-core-dev (>= 4:4.11),
+               pkg-config,
+               pkg-kde-tools (>= 0.12),
+               python-all-dev (>= 2.6.6-3~),
+               python-qt4 (>= 4.9.5),
+               python-qt4-dev (>= 4.9.5),
+               python-sip-dev (>= 4.14),
+               python3-all-dev,
+               python3-pyqt4 (>= 4.9.5),
+               python3-sip-dev (>= 4.14),
+               shared-desktop-ontologies (>= 0.8)
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
 
 Package: python-kde4
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
- python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
+Depends: python-qt4 (>= 4.8.3-3~),
+         python-sip,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         ${sip:Depends}
 Suggests: ${shlibs:Suggests}
+Provides: ${python:Provides}
 Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
 Description: Python bindings for the KDE Development Platform
  This package contains PyKDE, the Python bindings for the KDE
@@ -58,7 +75,8 @@
 
 Package: python-kde4-dev
 Architecture: all
-Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
+Depends: python-kde4 (>= ${source:Version}) | python3-pykde4 (>= ${source:Version}),
+         ${misc:Depends}
 Breaks: python-kde4 (<< ${source:Version})
 Description: UIC compiler and SIP files for PyKDE
  This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
@@ -83,7 +101,10 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
+Depends: kdelibs5-dbg,
+         python-dbg,
+         python-kde4 (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: python-qt4-dbg
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
@@ -95,8 +116,13 @@
 
 Package: python3-pykde4
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- python3-pyqt4, ${sip3:Depends}, python3-sip
+Depends: python3-pyqt4,
+         python3-sip,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+         ${sip3:Depends}
+Provides: ${python3:Provides}
 Description: Python 3 bindings for the KDE Development Platform
  This package contains PyKDE, the Python 3 bindings for the KDE
  libraries, that allow you to write KDE programs using Python 3 instead of
@@ -129,11 +155,14 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
+Depends: kdelibs5-dbg,
+         python3-dbg,
+         python3-pykde4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-pyqt4-dbg
 Description: debugging symbols for PyKDE bindings for Python 3
  This package contains debugging files used to investigate problems with
  Python 3 bindings for the KDE Development Platform. Install this package if
  you are experiencing crashes of the PyKDE application and wish to report a
  problem to the developers.
-

=== debian/rules ===
#! /usr/bin/make -f

dh = --with=python2,python3

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pyversions = $(shell pyversions -vr)
pydefaultversion = $(shell pyversions -vd)
pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
py3versions = $(shell py3versions -vr)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

define nl


endef

override_dh_auto_configure:
	$(if $(pyversions),,$(error "no suitable pythonversion found, failing"))
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_DIR=/usr/include/python$v \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v \
	    -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython$(v).so \
	    -DDEFAULT_PYTHON_VERSION=$(if $(filter $(pydefaultversion),$v),true,false) \
	    $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_DIR=/usr/include/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_LIBRARY=/usr/lib/$(if $(filter 3.2,$(v)),libpython3.2mu.so,$(DEB_HOST_MULTIARCH)/libpython$(v)m.so) \
	    -DPYTHON_SITE_PACKAGES_INSTALL_DIR=/usr/lib/python3/dist-packages \
	    -DDEFAULT_PYTHON_VERSION=false \
	    $(nl))

override_dh_auto_build override_dh_auto_test override_dh_auto_clean:
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v $(nl))

override_dh_auto_install:
	$(foreach v,$(pyversions),dh_auto_install --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),dh_auto_install --builddirectory=builddir-$v --destdir=debian/tmp-$v $(nl) ABITAG=`python$(v) -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; for f in `find debian/tmp-$v/ -name '*.so' ! -name '*.cpython*.so'`; do mv $$f $${f%.so}.$$ABITAG.so; done;)
	set -e && for i in $(py3versions); do \
	  mv debian/tmp-$$i/usr/bin/pykdeuic4 debian/tmp/usr/bin/pykdeuic4-$$i ; \
	  cp -rv debian/tmp-$$i/* debian/tmp/ ; \
	done

override_dh_python3:
	$(overridden_command)
	dh_sip3 -ppython3-pykde4

override_dh_python2:
	$(overridden_command)
	dh_sip -ppython-kde4

override_dh_strip:
	$(overridden_command) -ppython-kde4 --dbg-package=python-kde4-dbg
	$(overridden_command) -ppython3-pykde4 --dbg-package=python3-pykde4-dbg

override_dh_shlibdeps:
	if [ -d debian/python-kde4 ]; then \
	  dh_shlibdeps -ppython-kde4 $(foreach s,$(pyshared_nondefault),-X'$s/') -- \
	    -dSuggests $(foreach s,$(pyshared_nondefault),debian/python-kde4/$s/*.so) -dDepends; \
	fi
	$(overridden_command) --remaining-packages

## pykde4 4.14.1

=== debian/changelog ===
pykde4 (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Repair optional_install_sip_files.diff so it applies. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:02:03 +0200

pykde4 (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:45:21 +0200

pykde4 (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Rebuild without nepomuk support
  * Drop references to nepomuk from package descriptions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Aug 2014 00:35:43 -0400

pykde4 (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Refresh patches
  * Call dh_python2 with --no-shebang-rewrite as this fails on pyuickde4
    symlink

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 13:23:00 -0700

pykde4 (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Build without nepomuk

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:57:28 +0200

pykde4 (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed debian_patches_no_gl_defines.diff, does not apply, a condition was put in its place. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 16:45:33 -0700

pykde4 (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Add debian/patches/debian_patches_no_gl_defines.diff to fix build with
    python-qt4 4.11 (and adjust minimum build-dep)
      - Patch from Fedora via Debian

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Jun 2014 21:00:25 -0400

pykde4 (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * Build against boost1.55.

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:10:17 +0100

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: 
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.14.1), kdepimlibs5-dev (>= 4:4.14.1),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost1.55-dev,
 python-all-dev (>= 2.6.6-3~), python3-all-dev,
 python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
 python-qt4 (>= 4.11), python3-pyqt4, python-qt4-dev (>= 4.9)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Suggests: ${shlibs:Suggests}
Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

Package: python3-pykde4
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 python3-pyqt4, ${sip3:Depends}, python3-sip
Description: Python 3 bindings for the KDE Development Platform
 This package contains PyKDE, the Python 3 bindings for the KDE
 libraries, that allow you to write KDE programs using Python 3 instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python 3 versions.

Package: python3-pykde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
Recommends: python3-pyqt4-dbg
Description: debugging symbols for PyKDE bindings for Python 3
 This package contains debugging files used to investigate problems with
 Python 3 bindings for the KDE Development Platform. Install this package if
 you are experiencing crashes of the PyKDE application and wish to report a
 problem to the developers.

## pykde4 4.14.2

=== tools/kcmodule_example/CMakeLists.txt ===
install(FILES pykcm.desktop DESTINATION ${SERVICES_INSTALL_DIR})
python_install(pykcm.py ${DATA_INSTALL_DIR}/pykcm/)

=== debian/changelog ===
pykde4 (4:4.14.2-0ubuntu6) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:06 +0000

pykde4 (4:4.14.2-0ubuntu5) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 19:38:07 +0000

pykde4 (4:4.14.2-0ubuntu4) wily; urgency=medium

  [ Harald Sitter ]
  * Build without kdepimlibs5-dev present to facilitate the kdepim frameworks
    5 transition. kdepimlibs as of KDE Applications 15.08 will be frameworks
    based and not co-installable with the old libs (due to data files).
    Disable the pimlibs in pykde4.

  [ Jonathan Riddell ]
  * Remove build-dep on libsoprano-dev

 -- Harald Sitter <sitter@kde.org>  Mon, 17 Aug 2015 10:21:55 +0200

pykde4 (4:4.14.2-0ubuntu3) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:12:14 +0000

pykde4 (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jul 2015 20:20:35 +0000

pykde4 (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:50:20 -0700

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.14.1), kdepimlibs5-dev (>= 4:4.14.1),
- libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
+ kdelibs5-dev (>= 4:4.14.2),
+ libphonon-dev (>= 4:4.6.0really4.4.4),
  libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.55-dev,
+ libboost-dev,
  python-all-dev (>= 2.6.6-3~), python3-all-dev,
  python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
  python-qt4 (>= 4.11), python3-pyqt4, python-qt4-dev (>= 4.9)

=== debian/rules ===
#! /usr/bin/make -f

dh = --with=python2,python3

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pyversions = $(shell pyversions -vr)
pydefaultversion = $(shell pyversions -vd)
pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
py3versions = $(shell py3versions -vr)
PYTHONDONTWRITEBYTECODE = True
export PYTHONDONTWRITEBYTECODE

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

define nl


endef

override_dh_auto_configure:
	$(if $(pyversions),,$(error "no suitable pythonversion found, failing"))
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_PATH=/usr/include/python$v \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v \
	    -DDEFAULT_PYTHON_VERSION=$(if $(filter $(pydefaultversion),$v),true,false) \
	    $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DPYTHON_INCLUDE_PATH=/usr/include/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_INCLUDE_DIR2=/usr/include/$(DEB_HOST_MULTIARCH)/python$v$(if $(filter 3.2,$(v)),mu,m) \
	    -DPYTHON_LIBRARY=/usr/lib/$(if $(filter 3.2,$(v)),libpython3.2mu.so,$(DEB_HOST_MULTIARCH)/libpython$(v)m.so) \
	    -DPYTHON_SITE_PACKAGES_INSTALL_DIR=/usr/lib/python3/dist-packages \
	    -DDEFAULT_PYTHON_VERSION=false \
	    $(nl))

override_dh_auto_build override_dh_auto_test override_dh_auto_clean:
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),$(overridden_command) --builddirectory=builddir-$v $(nl))

override_dh_auto_install:
	$(foreach v,$(pyversions),dh_auto_install --builddirectory=builddir-$v $(nl))
	$(foreach v,$(py3versions),dh_auto_install --builddirectory=builddir-$v --destdir=debian/tmp-$v $(nl) ABITAG=`python$(v) -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; for f in `find debian/tmp-$v/ -name '*.so' ! -name '*.cpython*.so'`; do mv $$f $${f%.so}.$$ABITAG.so; done;)
	$(foreach v,$(py3versions), cp -rv debian/tmp-$v/* debian/tmp/ $(nl))

override_dh_python3:
	$(overridden_command)
	dh_sip3 -ppython3-pykde4

override_dh_python2:
	$(overridden_command) --no-shebang-rewrite
	dh_sip -ppython-kde4

override_dh_strip:
	$(overridden_command) -ppython-kde4 --dbg-package=python-kde4-dbg
	$(overridden_command) -ppython3-pykde4 --dbg-package=python3-pykde4-dbg

override_dh_shlibdeps:
	if [ -d debian/python-kde4 ]; then \
        dh_shlibdeps -ppython-kde4 $(foreach s,$(pyshared_nondefault),-X'$s/') -- \
	-dSuggests $(foreach s,$(pyshared_nondefault),debian/python-kde4/$s/*.so) -dDepends; \
	fi
	$(overridden_command) --remaining-packages
